package com.ym.mec.biz.dal.page;


import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

public class ReplacementInstrumentActivityQueryInfo extends QueryInfo {

    private Integer cooperationOrganId;

    private Integer cooperationId;

    private String organId;

    private String subjectId;

    private String brand;

    private String specification;

    @ApiModelProperty(value="是否有置换乐器")
    private Boolean hasInstrumentsId;

    @ApiModelProperty(value="合作单位名称或编号搜索")
    private String cooperationOrganIdOrName;

    @ApiModelProperty(value = "缴费状态 0-未缴费 1-缴费中 2-已缴费")
    private Integer payStatus;

    @ApiModelProperty(value = "是否参与校赛")
    private Boolean hasYesFirstAnswer;

    public Integer getCooperationId() {
        return cooperationId;
    }

    public void setCooperationId(Integer cooperationId) {
        this.cooperationId = cooperationId;
    }

    public Integer getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(Integer payStatus) {
        this.payStatus = payStatus;
    }

    public Integer getCooperationOrganId() {
        return cooperationOrganId;
    }

    public void setCooperationOrganId(Integer cooperationOrganId) {
        this.cooperationOrganId = cooperationOrganId;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(String subjectId) {
        this.subjectId = subjectId;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public Boolean getHasInstrumentsId() {
        return hasInstrumentsId;
    }

    public void setHasInstrumentsId(Boolean hasInstrumentsId) {
        this.hasInstrumentsId = hasInstrumentsId;
    }

    public String getCooperationOrganIdOrName() {
        return cooperationOrganIdOrName;
    }

    public void setCooperationOrganIdOrName(String cooperationOrganIdOrName) {
        this.cooperationOrganIdOrName = cooperationOrganIdOrName;
    }

    public Boolean getHasYesFirstAnswer() {
        return hasYesFirstAnswer;
    }

    public void setHasYesFirstAnswer(Boolean hasYesFirstAnswer) {
        this.hasYesFirstAnswer = hasYesFirstAnswer;
    }
}
